Page MenuHomePhabricator

JobQueueGroup::singleton()->getQueueSizes() returns 0 for all queues in production
Closed, ResolvedPublic

Description

There should be a couple hundred jobs in webVideoTranscode right now on Commons but if I poke in with eval.php on mwmaint1001 I see zero:

> $x = JobQueueGroup::singleton()->getQueueSizes();

> var_dump($x['webVideoTranscode']);
int(0)

This breaks the throttling on TimedMediaHandler's requeueTranscodes.php, which I need to trickle re-encoding jobs in from the back catalog without interrupting new uploads.

If necessary I can retool the throttle to approximate the queue depth from the transcode table.

Event Timeline

brion created this task.Jul 31 2018, 4:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2018, 4:06 PM

Change 449499 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@master] Workaround for job queue reporting 0 length (T200813)

https://gerrit.wikimedia.org/r/449499

Change 449499 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@master] Workaround for job queue reporting 0 length (T200813)

https://gerrit.wikimedia.org/r/449499

Change 449621 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@wmf/1.32.0-wmf.14] Workaround for job queue reporting 0 length (T200813)

https://gerrit.wikimedia.org/r/449621

Change 449622 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/extensions/TimedMediaHandler@wmf/1.32.0-wmf.15] Workaround for job queue reporting 0 length (T200813)

https://gerrit.wikimedia.org/r/449622

Change 449621 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@wmf/1.32.0-wmf.14] Workaround for job queue reporting 0 length (T200813)

https://gerrit.wikimedia.org/r/449621

Mentioned in SAL (#wikimedia-operations) [2018-07-31T23:55:34Z] <thcipriani@deploy1001> Synchronized php-1.32.0-wmf.14/extensions/TimedMediaHandler/WebVideoTranscode/WebVideoTranscode.php: SWAT: [[gerrit:449621|Workaround for job queue reporting 0 length]] (T200813) (duration: 00m 57s)

Change 449622 merged by jenkins-bot:
[mediawiki/extensions/TimedMediaHandler@wmf/1.32.0-wmf.15] Workaround for job queue reporting 0 length (T200813)

https://gerrit.wikimedia.org/r/449622

Mentioned in SAL (#wikimedia-operations) [2018-08-01T00:15:40Z] <thcipriani@deploy1001> Synchronized php-1.32.0-wmf.15/extensions/TimedMediaHandler/WebVideoTranscode/WebVideoTranscode.php: SWAT: [[gerrit:449622|Workaround for job queue reporting 0 length]] (T200813) (duration: 00m 56s)

brion closed this task as Resolved.Jun 20 2019, 7:49 PM
brion claimed this task.

Closing as this was worked around where needed.